%define module  Class-Data-Inheritable
%define version 0.02
%define release 4mdk
%define	pdir	Class

Summary: 	%{module} module for perl
Name: 		perl-%{module}
Version: 	%{version}
Release: 	%{release}
License: 	GPL or Artistic
Group: 		Development/Perl
Source0: 	ftp://ftp.perl.org/pub/CPAN/modules/by-module/%{pdir}/%{module}-%{version}.tar.gz
Url: 		http://search.cpan.org/search?dist=%{module}
BuildArch: 	noarch
BuildRoot: 	%{_tmppath}/%{name}-buildroot
Requires: 	perl , perl-base 
BuildRequires:	perl-devel

%description
%{module} module for perl

%prep

%setup -q  -n %{module}-%{version}

%build

CFLAGS="$RPM_OPT_FLAGS" %{__perl} Makefile.PL INSTALLDIRS=vendor
make
make test


%install
rm -rf $RPM_BUILD_ROOT
make PREFIX="$RPM_BUILD_ROOT%{_prefix}" install

%clean 
rm -rf $RPM_BUILD_ROOT

%files
%defattr(444,root,root,755)
%{perl_vendorlib}/Class/Data/*
%{_mandir}/*/*

%changelog
* Sat Feb 01 2003 Lenny Cartier <lenny@mandrakesoft.com 0.02-4mdk
- rebuild

* Wed Jul 24 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.02-3mdk
- fix requires

* Tue Jul 23 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.02-2mdk
- rebuild for new perl

* Mon Jun 10 2002 Lenny Cartier <lenny@mandrakesoft.com> 0.02-1mdk
- Peter Chen <petechen@netilla.com> :
	- 0.02

